API · Platform · Entities
List entity sub agent sessions.
Returns sub-agent sessions for an entity. Filter by status (e.g. running to surface what's in-flight right now) or by agent_kind (e.g. de_sos_filer to scope to DE state filings). Useful for the founder dashboard's "what's Matter doing right now?" surface.
Last updated
Query Parameters
statusstringOptionalOne of
"pending""running""completed""failed""cancelled"agent_kindstringOptionalOne of
"de_sos_filer""fincen_boir_filer""irs_mef_filer""irs_id_me_efiler""irs_ss4_filer""mercury_onboarding""brex_onboarding""state_sos_qualification"Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
Request
curl -X GET "https://api.mattermode.com/v1/entities/{id}/sub_agent_sessions"fetch("https://api.mattermode.com/v1/entities/{id}/sub_agent_sessions", { method: "GET"})package mainimport ( "fmt" "net/http" "io/ioutil")func main() { url := "https://api.mattermode.com/v1/entities/{id}/sub_agent_sessions" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10",}resp = requests.get( "https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/sub_agent_sessions", headers=headers,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/entities/{id}/sub_agent_sessions")) .GET() .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var client = new HttpClient();var response = await client.GetAsync("https://api.mattermode.com/v1/entities/{id}/sub_agent_sessions");var responseBody = await response.Content.ReadAsStringAsync();curl --request GET 'https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/sub_agent_sessions' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10'const response = await fetch("https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/sub_agent_sessions", { method: "GET", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", },});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
application/json{
"sessions": [
{
"id": "string",
"object": "sub_agent_session",
"status": "pending",
"target_resource": {
"kind": "filing",
"id": "string"
},
"agent_kind": "de_sos_filer",
"target_url": "http://example.com",
"created_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"outcome": {
"confirmation_number": "string",
"receipt_document_id": "string",
"error_kind": "string",
"error_detail": "string"
},
"actions_taken": [
{
"at": "2019-08-24T14:15:22Z",
"step": "string",
"detail": "string"
}
],
"livemode": true
}
]
}{
"type": "https://mattermode.com/docs/errors/authentication_required",
"title": "Authentication required",
"status": 401,
"code": "authentication_required",
"detail": "No bearer token was supplied. Pass `Authorization: Bearer sk_live_...` on every request.",
"doc_url": "https://mattermode.com/docs/guides/errors#authentication_required",
"request_id": "req_Qw9xYz8A"
}{
"type": "https://mattermode.com/docs/errors/not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "No entity with id `ent_Nq3KcAbc` is visible to this token.",
"doc_url": "https://mattermode.com/docs/guides/errors#not_found",
"request_id": "req_Qw9xYz8A"
}{
"type": "https://mattermode.com/docs/errors/rate_limit_exceeded",
"title": "Rate limit exceeded",
"status": 429,
"code": "rate_limit_exceeded",
"detail": "Request rate exceeded for this key. Retry after `retry_after` seconds or honor the `Retry-After` header.",
"doc_url": "https://mattermode.com/docs/guides/errors#rate_limit_exceeded",
"request_id": "req_Qw9xYz8A",
"retry_after": 30
}